Skip to main content
PUT
/
v1
/
resources
/
custom_resource
Sync all Custom Resources
curl --request PUT \
  --url https://api.vanta.com/v1/resources/custom_resource \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceId": "<string>",
  "resources": [
    {
      "displayName": "<string>",
      "uniqueId": "<string>",
      "externalUrl": "<string>"
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

List of resources to sync

resourceId
string
required

Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources

resources
object[]
required

Response

200 - application/json

The current resources synced.

success
boolean
required